.dernieres-actualites {
    /*Box model*/
    display: grid;
    grid-template-columns: 1fr;
    place-items: center;
    gap: 3rem;
    color: #000;

    @media (min-width: 768px) {
        & {
            grid-template-columns: repeat(2, 1fr);
        }
    }

    @media (min-width:1185px) {
        & {
            grid-template-columns: repeat(3, 1fr);
            gap: clamp(1rem, -36.5rem + 3.125vw, 3rem);
        }

    }

    @media (min-width:1264px) {
        & {
            grid-template-columns: repeat(3, 1fr);
        }
    }

}


/* A la une*/
.a-la-une {
    .une-des-dernieres-actualites:first-child {

        .une-des-dernieres-actualites-extrait, .une-des-dernieres-actualites-cta {
            display: none;

            @media (min-width:1185px) {
                display: block;
            }
        }

         .une-des-dernieres-actualites-titre-a-la-une {
            margin-bottom: 0.5rem;
            font-size: 1.2rem;
            line-height: 1.4;
            height: 2.8em;

            display: -webkit-box;
            -webkit-line-clamp: 2;
            /* Limits text to 2 lines */
            -webkit-box-orient: vertical;
            overflow: hidden;
            text-overflow: ellipsis;
        }


        @media (min-width:1185px) {
            grid-column: 1 / -1;

            .une-des-dernieres-actualites-url {

                display: grid;
                grid-template-columns: 1fr 1fr;
                column-gap: 2rem;

            }

            .une-des-dernieres-actualites-details {
                height: 100%;
                display: flex;
                flex-direction: column;
                gap: 1rem;
            }

            .une-des-dernieres-actualites-titre-a-la-une {
                margin-bottom: 0.5rem;
                height: 4rem;
                font-size: 1.5rem;
                line-height: 1.4;
            }

            .une-des-dernieres-actualites-extrait {
                font-size: 1.125rem;
            }


            .une-des-dernieres-actualites-cta {
                font-size: 1rem;
                font-weight: 600;
                color: var(--primary-color);
            }

        }

    }
}



.une-des-dernieres-actualites {
    /*Box model*/
    width: 85%;
    min-height: 16.2rem;
    display: flex;
    flex-direction: column;
    transition: transform 0.3s ease-in-out;

    @media (min-width:768px) {
        width: 100%;
    }


    .une-des-dernieres-actualites-url {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;

    }

    .une-des-dernieres-actualites-miniature {
        margin-bottom: 1rem;

        img {
            aspect-ratio: 378.67 / 258.01;
            width: 100%;
            max-width:
                /*25.5rem*/
                40rem;
            height: auto;
            object-fit: cover;
            object-position: center;
            transition: transform 0.5s ease;

            @media (min-width:678px) {
                max-width: 100%;

            }
        }
    }

    .une-des-dernieres-actualites-details {
        font-size: 0.875rem;
        text-align: center;

        @media (min-width:768px) {
            text-align: start;
        }

        .une-des-dernieres-actualites-titre {
            margin-bottom: 0.5rem;
            font-size: 1.2rem;
            line-height: 1.4;
            height: 2.8em;

            display: -webkit-box;
            -webkit-line-clamp: 2;
            /* Limits text to 2 lines */
            -webkit-box-orient: vertical;
            overflow: hidden;
            text-overflow: ellipsis;
        }
    }

    &:hover {
        .une-des-dernieres-actualites-titre, .une-des-dernieres-actualites-titre-a-la-une {
            color: #936D2F;
        }

        .une-des-dernieres-actualites-miniature img {
            transform: scale(1.025);
        }

        .une-des-dernieres-actualites-cta {
            text-decoration: underline;

        }
    }


}


.aucune-dernieres-actualites{
    margin: 2rem auto 4rem;
    font-size: 1.15rem;
    text-align: center;

}
